Orvelt

Get knowledge base

GET
/kb

Get the organization's knowledge base items.

Requires a Business session or a resource-authorized OAuth token and the applicable member access. API keys are not accepted.

Authorization

cookieorvelt-biz.session_token<token>

An existing Business session. Browser requests must also pass origin and CSRF checks.

Response Body

OK

application/json
  1. response
knowledgebase*|null
Example Request
curl -X GET 'https://api.orvelt.com/v1/kb'
Example Response
{
  "knowledgebase": {
    "organizationId": "string",
    "items": [
      {
        "id": "string",
        "organizationId": "string",
        "storageOwner": "admin",
        "link": "http://example.com",
        "title": "string",
        "description": "string",
        "markdown": "string",
        "markdownKey": "string",
        "metadataKey": "string",
        "contentLength": 0,
        "createdAt": "2019-08-24T14:15:22Z",
        "updatedAt": "2019-08-24T14:15:22Z"
      }
    ],
    "storageUsedBytes": 0,
    "storageLimitBytes": 0
  }
}